Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class MilestoneNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.MilestoneNodeInstance

All Implemented Interfaces:
  Serializable, AgendaEventListener, EventListener, NodeInstance, EventBasedNodeInstanceInterface

    public class MilestoneNodeInstance

extends StateBasedNodeInstance
implements AgendaEventListener

Runtime counterpart of a milestone node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`MilestoneNodeInstance()`

Method Summary
`void` | `activationCancelled(ActivationCancelledEvent event)`
`void` | `activationCreated(ActivationCreatedEvent event)`
`void` | `addEventListeners()`
`void` | `afterActivationFired(AfterActivationFiredEvent event)`
`void` | `afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `agendaGroupPopped(AgendaGroupPoppedEvent event)`
`void` | `agendaGroupPushed(AgendaGroupPushedEvent event)`
`void` | `beforeActivationFired(BeforeActivationFiredEvent event)`
`void` | `beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`protected MilestoneNode` | `getMilestoneNode()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `removeEventListeners()`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, cancel, checkProcessInstance, createTimerInstance, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, signalEvent, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`executeAction, getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`followConnection, getId, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, setId, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MilestoneNodeInstance

    public MilestoneNodeInstance()

Method Detail

### getMilestoneNode

    protected MilestoneNode getMilestoneNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `StateBasedNodeInstance`

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `StateBasedNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `StateBasedNodeInstance`

### activationCreated

    public void activationCreated(ActivationCreatedEvent event)

  Specified by:
    `activationCreated` in interface `AgendaEventListener`

### activationCancelled

    public void activationCancelled(ActivationCancelledEvent event)

  Specified by:
    `activationCancelled` in interface `AgendaEventListener`

### afterActivationFired

    public void afterActivationFired(AfterActivationFiredEvent event)

  Specified by:
    `afterActivationFired` in interface `AgendaEventListener`

### agendaGroupPopped

    public void agendaGroupPopped(AgendaGroupPoppedEvent event)

  Specified by:
    `agendaGroupPopped` in interface `AgendaEventListener`

### agendaGroupPushed

    public void agendaGroupPushed(AgendaGroupPushedEvent event)

  Specified by:
    `agendaGroupPushed` in interface `AgendaEventListener`

### beforeActivationFired

    public void beforeActivationFired(BeforeActivationFiredEvent event)

  Specified by:
    `beforeActivationFired` in interface `AgendaEventListener`

### afterRuleFlowGroupActivated

    public void afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `afterRuleFlowGroupActivated` in interface `AgendaEventListener`

### afterRuleFlowGroupDeactivated

    public void afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `afterRuleFlowGroupDeactivated` in interface `AgendaEventListener`

### beforeRuleFlowGroupActivated

    public void beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupActivated` in interface `AgendaEventListener`

### beforeRuleFlowGroupDeactivated

    public void beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupDeactivated` in interface `AgendaEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.